VegBank - Bug #1967

Fix downloader if takes too long: create file and set to download from private space later
02/10/2005 01:03 PM - Michael Lee

Status: New Start date: 02/10/2005
Priority: Normal Due date:

Assignee: Michael Lee % Done: 0%
Category: export Estimated time: 0.00 hour
Target version: 2.0.0 Spent time: 0.00 hour
Bugzilla-ld: 1967

Description

History

#1 - 02/10/2005 04:26 PM - Michael Lee

cache the download packages (by plot) and stack them together for the downloads

#2 - 05/24/2005 02:35 PM - Michael Lee

now that our downloader is working much faster, this won't be so necessary.
Pushing it to later.

#3 - 09/11/2006 01:59 PM - Michael Lee

but webpage timeouts will still kill our download function. So this may well still be needed.

#4 - 09/11/2006 04:41 PM - Michael Lee

The idea here is that you request a download and come back and get it later. It would be stored in your own download directory. This could be
uniquely named by naming it with the number of a sequence reserved for this function. Getting the next value off the sequence updates the
sequence, thus ensuring no naming conflicts. This would also be helpful for those on dialup who can access broadband later to pickup the data.

#5 - 03/27/2013 02:18 PM - Redmine Admin
Original Bugzilla ID was 1967
